Name:           ocaml-async_unix
Version:        109.24.00
Release:        %mkrel 2
Summary:        Jane Street Capital's asynchronous execution library (unix)
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://bitbucket.org/yminsky/ocaml-core/wiki/Home
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/async_unix-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-sexplib >= 109.20.00
BuildRequires:  ocaml-pipebang >= 109.15.00
BuildRequires:  ocaml-pa_ounit >= 109.18.00
BuildRequires:  ocaml-herelib >= 109.15.00
BuildRequires:  ocaml-fieldslib >= 109.20.00
BuildRequires:  ocaml-janest-core >= 109.24.00
BuildRequires:  ocaml-comparelib >= 109.15.00
BuildRequires:  ocaml-bin-prot >= 109.15.00
BuildRequires:  ocaml-async_core >= 109.24.00

%description
Jane Street Capital's asynchronous execution library

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n async_unix-%{version}

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/async_unix
make install

%files
%doc LICENSE.txt THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/async_unix
%{_libdir}/ocaml/async_unix/META
%{_libdir}/ocaml/async_unix/*.cmi
%{_libdir}/ocaml/async_unix/*.cma
%{_libdir}/ocaml/async_unix/*.cmxs

%files devel
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/async_unix/*.a
%{_libdir}/ocaml/async_unix/*.cmxa
%{_libdir}/ocaml/async_unix/*.mli
%{_libdir}/ocaml/async_unix/*.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 109.24.00-2.mga4
+ Revision: 527576
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 malo <malo> 109.24.00-1.mga4
+ Revision: 441252
- update to 109.24.00

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 321264
- imported package ocaml-async_unix

